[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-ID: <20220421164022.GA3485225@jaehee-ThinkPad-X1-Extreme>
Date: Thu, 21 Apr 2022 12:40:22 -0400
From: Jaehee Park <jhpark1013@...il.com>
To: outreachy@...ts.linux.dev, Julia Denham <jdenham@...hat.com>,
Roopa Prabhu <roopa.prabhu@...il.com>,
Stefano Brivio <sbrivio@...hat.com>, netdev@...r.kernel.org,
jhpark1013@...il.com, Roopa Prabhu <roopa@...dia.com>
Subject: [PATCH net-next v2] selftests: net: vrf_strict_mode_test: add
support to select a test to run
Add a boilerplate test loop to run all tests in
vrf_strict_mode_test.sh. Add a -t flag that allows a selected test to
run.
Signed-off-by: Jaehee Park <jhpark1013@...il.com>
---
.../selftests/net/vrf_strict_mode_test.sh | 31 ++++++++++++++++++-
1 file changed, 30 insertions(+), 1 deletion(-)
diff --git a/tools/testing/selftests/net/vrf_strict_mode_test.sh b/tools/testing/selftests/net/vrf_strict_mode_test.sh
index 865d53c1781c..ca4379265706 100755
--- a/tools/testing/selftests/net/vrf_strict_mode_test.sh
+++ b/tools/testing/selftests/net/vrf_strict_mode_test.sh
@@ -14,6 +14,8 @@ INIT_NETNS_NAME="init"
PAUSE_ON_FAIL=${PAUSE_ON_FAIL:=no}
+TESTS="init testns mix"
+
log_test()
{
local rc=$1
@@ -353,6 +355,23 @@ vrf_strict_mode_tests()
vrf_strict_mode_tests_mix
}
+usage()
+{
+ cat <<EOF
+usage: ${0##*/} OPTS
+
+ -t <test> Test(s) to run (default: all)
+ (options: $TESTS)
+EOF
+}
+while getopts ":t:h" opt; do
+ case $opt in
+ t) TESTS=$OPTARG;;
+ h) usage; exit 0;;
+ *) usage; exit 1;;
+ esac
+done
+
vrf_strict_mode_check_support()
{
local nsname=$1
@@ -391,7 +410,17 @@ fi
cleanup &> /dev/null
setup
-vrf_strict_mode_tests
+for t in $TESTS
+do
+ case $t in
+ vrf_strict_mode_tests_init|init) vrf_strict_mode_tests_init;;
+ vrf_strict_mode_tests_testns|testns) vrf_strict_mode_tests_testns;;
+ vrf_strict_mode_tests_mix|mix) vrf_strict_mode_tests_mix;;
+
+ help) echo "Test names: $TESTS"; exit 0;;
+
+ esac
+done
cleanup
print_log_test_results
--
2.25.1
Powered by blists - more mailing lists